Security Enhanced Linux Reference Policy

# Layer: services

## Module: networkmanager

Interfaces

### Description:

Manager for dynamically switching between networks.

### Interfaces:

networkmanager_admin( domain , role )

##### Summary

All of the rules required to administrate an networkmanager environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

networkmanager_append_log_files( domain )

##### Summary

Append networkmanager log files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

networkmanager_attach_tun_iface( domain )

##### Summary

Relabel networkmanager tun socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

networkmanager_dbus_chat( domain )

##### Summary

Send and receive messages from networkmanager over dbus.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

networkmanager_domtrans( domain )

##### Summary

Execute networkmanager with a domain transition.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

networkmanager_initrc_domtrans( domain )

##### Summary

Execute networkmanager scripts with an automatic domain transition to initrc.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

networkmanager_manage_lib_files( domain )

##### Summary

Create, read, and write networkmanager library files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

networkmanager_read_etc_files( domain )

##### Summary

Read networkmanager etc files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

networkmanager_read_lib_files( domain )

##### Summary

Read networkmanager lib files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

networkmanager_read_pid_files( domain )

##### Summary

Read networkmanager pid files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

networkmanager_read_state( domain )

##### Summary

Read metworkmanager process state files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

networkmanager_rw_packet_sockets( domain )

##### Summary

Read and write networkmanager packet sockets.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

networkmanager_rw_routing_sockets( domain )

##### Summary

Read and write networkmanager netlink routing sockets.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

networkmanager_rw_udp_sockets( domain )

##### Summary

Read and write networkmanager udp sockets.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

networkmanager_signal( domain )

##### Summary

Send generic signals to networkmanager.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

networkmanager_stream_connect( domain )

##### Summary

Connect to networkmanager over a unix domain stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return